rte_swx_keycmp.h(3)

NAME
rte_swx_keycmp.h

SYNOPSIS

#include <stdint.h>
#include <string.h>

  Typedefs

typedef uint32_t(* rte_swx_keycmp_func_t) (void *key1, void *key2, uint32_t key_size)

  Functions

rte_swx_keycmp_func_t rte_swx_keycmp_func_get (uint32_t key_size)

Detailed Description

RTE SWX Key Comparison Functions

Definition in file rte_swx_keycmp.h.

Typedef Documentation

  typedef uint32_t(* rte_swx_keycmp_func_t) (void *key1, void *key2, uint32_t key_size)
Key comparison function prototype

Parameters
    key1 First key to compare. Must be non-NULL.
    key2 Second key to compare. Must be non-NULL.
    key_size Key size in bytes.

Returns
    0 when keys are different, 1 when keys are equal.

Definition at line 31 of file rte_swx_keycmp.h.

Function Documentation

  rte_swx_keycmp_func_t rte_swx_keycmp_func_get (uint32_t key_size)
Key comparison function get

Parameters
    key_size Key size in bytes.

Returns
    Key comparison function for the given key size

Author

Generated automatically by Doxygen for DPDK from the source code.